sane-genesys(5)

NUME
sane-genesys - controlor SANE pentru scanere USB plate GL646, GL841, GL843, GL847 și GL124

DESCRIERE
Biblioteca sane-genesys implementează un controlor SANE (Scanner Access Now Easy) care oferă acces la scanerele plate USB bazate pe cipurile Genesys GL646, GL841, GL843, GL847 și GL124. În prezent, sunt cunoscute următoarele scanere care funcționează cu acest controlor:

    Canon LiDE 35/40/50/60/100/110/120/200/210/220/700
    Hewlett-Packard HP2300C/HP2400/HP3670/HP3690/G4010/G4050
    Medion MD5345/MD6228/MD6274
    Panasonic KV-SS080
    Plustek OpticBook 3600
    Pentax DSmobile 600
    Syscan/Ambir DocketPORT 467/485/487/665/685
    Visioneer OneTouch 7100/Strobe XP100 (rev3)/XP200/XP300/Roadwarrior
    Xerox Travel Scanner 100, OneTouch 2400

Acesta este un software stabil pentru modelele acceptate. Dar dacă testați scanere noi sau netestate, țineți mâna la fișa scanerului și deconectați-l, dacă capul se lovește la capătul zonei de scanare.

Dacă dețineți un scaner, altul decât cele enumerate mai sus, care funcționează cu acest controlor, vă rog să-mi comunicați acest lucru trimițându-mi numele exact al modelului scanerului și identificatorul fabricantului și al dispozitivului USB (de exemplu, din /proc/bus/usb/devices, sane-find-scanner sau syslog) pe lista de corespondență sane-devel. Chiar dacă numele scanerului este doar puțin diferit de modelele menționate mai sus, vă rog să mă anunțați.

Dacă dețineți un scaner care nu este detectat de controlorul genesys, dar are un chipset GL646, GL841, GL843, GL847 sau GL124, puteți încerca să îl adăugați la controlor.

CALIBRARE
Pentru a oferi o calitate corectă a imaginii, scanerele alimentate cu foi trebuie calibrate utilizând foaia de calibrare vândută împreună cu scanerul. Pentru a efectua calibrarea, trebuie să introduceți această foaie în alimentator, apoi să începeți calibrarea fie trecând opțiunea „--calibrate” la scanimage(1), fie făcând clic pe butonul „calibrate” disponibil în „advanced options” (opțiuni avansate) într- o interfață grafică. Rezultatul calibrării este stocat într-un fișier din directorul personal al utilizatorului care o efectuează. Dacă conectați scanerul la un alt aparat sau îl utilizați cu un alt cont, calibrarea va trebui refăcută, cu excepția cazului în care utilizați opțiunea „--calibration-file”. Dacă nu este definit niciun director „home” (personal), se va utiliza USERAPPPROFILE, apoi TMPDIR sau TMP. Dacă niciunul dintre aceste directoare nu există, controlorul va încerca să scrie în directorul de lucru curent. Scanerele plate utilizează, de asemenea, fișierul de calibrare ca o memorie cache pentru a evita calibrarea înainte de fiecare scanare. Numele fișierului de calibrare este numele modelului de scaner dacă este detectat un singur scaner. În cazul mai multor modele identice, numele fișierului va fi numele numelui logic al dispozitivului USB. Timpul de expirare gestionează timpul în care o calibrare este valabilă în cache. O valoare de -1 înseamnă pentru totdeauna, 0 înseamnă fără cache.

OPȚIUNI DE SCANARE SUPLIMENTARE

--lamp-off-time number
    Lampa va fi stinsă după timpul dat (în minute). O valoare de 0 înseamnă că lampa nu va fi stinsă.

--threshold percent
    0..100% (în pași de 1). Selectează luminozitatea minimă pentru a obține un punct alb. Pixelii cu luminozitate sub această valoare vor fi scanați ca fiind negri.

--brightness value
    -100..100 (în pași de 1). Stabilește intensificarea luminozității. 0 pentru nicio schimbare, valori negative pentru a reduce luminozitatea și valori pozitive pentru a o crește.

--contrast value
    -100..100 (în pași de 1). Stabilește intensificarea contrastului. 0 pentru nicio schimbare, valori negative pentru a reduce contrastul și valori pozitive pentru a-l crește.

--disable-interpolation yes|no
    Atunci când se utilizează rezoluții înalte în care rezoluția orizontală este mai mică decât rezoluția verticală, datele sunt extinse de software pentru a păstra geometria imaginii. Acest lucru poate fi dezactivat prin această opțiune pentru a obține date scanate reale.

--disable-dynamic-lineart yes|no
    Dezactivează utilizarea unui algoritm adaptiv software pentru a genera lineart și se bazează pe lineart hardware.

--color-filter None|Red|Green|Blue
    Atunci când utilizați gri sau lineart, această opțiune selectează culoarea utilizată. Utilizarea unui filtru de culoare va produce o scanare monocromă. Scanerele CIS pot genera gri adevărat atunci când nu este selectat niciun filtru (valoarea „None”).

--lamp-off-scan
    Lampa va fi oprită în timpul scanării. Calibrarea se face în continuare cu lampa aprinsă.

--clear-calibration
    Șterge datele din memoria cache de calibrare, declanșând o nouă calibrare pentru dispozitiv la următoarea scanare.

--calibration-file
    Specificați numele fișierului de calibrare care urmează să fie utilizat. Cel puțin directorul care conține fișierul trebuie să existe, deoarece acesta nu va fi creat. Această opțiune este dezactivată dacă controlorul este rulat ca root. Poate fi utilizată în cazul scanerelor cu alimentare cu foi pentru a partaja un fișier de calibrare pentru mai mulți utilizatori.

--expiration-time
    Specifică timpul (în minute) în care o calibrare din memoria cache este considerată valabilă. Dacă este mai veche decât valoarea dată, se efectuează o nouă calibrare. O valoare de -1 înseamnă că nu există expirare și că valoarea din memoria cache este păstrată pentru totdeauna, cu excepția cazului în care este ștearsă de utilizator cu opțiunea de ștergere a calibrării. O valoare de 0 înseamnă că memoria cache este dezactivată.

În plus, mai multe opțiuni „software” sunt expuse de către controlor. Acestea sunt reimplementări ale funcțiilor oferite în mod nativ de scanerele mai mari, dar care rulează pe calculatorul gazdă. Acest lucru permite ca mașinile mai mici să aibă capacități similare. Vă rugăm să rețineți că aceste caracteristici sunt oarecum simpliste și este posibil să nu funcționeze la fel de bine ca implementările native. Rețineți, de asemenea, că toate aceste caracteristici necesită ca acest controlor să stocheze întreaga imagine în memorie. Acest lucru va duce aproape sigur la o reducere a vitezei de scanare.

--swcrop
    Solicită controlorului să detecteze extremitățile hârtiei în cadrul imaginii mai mari și să decupeze marginile goale.

--swdeskew
    Solicită controlorului să detecteze rotația hârtiei în cadrul imaginii mai mari și să contracareze rotația.

--swdespeck --despeck X
    Solicită controlorului să găsească și să elimine din imagine punctele cu diametrul X sau mai mic și să umple spațiul cu culoarea medie din jur.

--swskip 0..100% (în pași de 1) [0]
    Solicită controlorului să renunțe la paginile cu un număr mic de pixeli întunecați.

--swderotate[=(yes|no)] [no]
    Solicită controlorului să detecteze și să corecteze rotația imaginii la 90 de grade.

PROBLEME DE SISTEM
Acest controlor necesită instalarea libusb-0.1.6 sau o versiune ulterioară și nu a fost testat în altă configurație decât cu un nucleu linux 2.6.9 sau ulterior. Cu toate acestea, ar trebui să funcționeze pe orice sistem cu libusb în care pachetul SANE poate fi compilat. Pentru stabilirea permisiunilor și informații generale despre USB, consultați sane-usb(5).

CONFIGURARE
Conținutul fișierului genesys.conf este o listă de linii usb care conțin id-uri de fabricant și de produs care corespund scanerelor USB. Fișierul poate conține, de asemenea, linii de opțiuni. Liniile goale și liniile care încep cu un simbol hash (#) sunt ignorate. Scanerele sunt autodetectate prin declarațiile usb vendor_id product_id care sunt deja incluse în genesys.conf. „vendor_id” și „product_id” sunt numere hexazecimale care identifică scanerul.

FIȘIERE

/etc/sane.d/genesys.conf
    Fișierul de configurare al controlorului (a se vedea, de asemenea, descrierea SANE_CONFIG_DIR de mai jos).

/usr/lib/sane/libsane-genesys.a
    Biblioteca statică care implementează acest controlor.

/usr/lib/sane/libsane-genesys.so
    Biblioteca partajată care implementează acest controlor (prezentă pe sistemele care acceptă încărcare dinamică).

MEDIU

SANE_CONFIG_DIR
    Această variabilă de mediu specifică lista de directoare care pot conține fișierul de configurare. Pe sistemele *NIX, directoarele sunt separate prin două puncte („:”), în cazul sistemelor OS/2, ele sunt separate prin punct și virgulă („;”). Dacă această variabilă nu este definită, fișierul de configurare este căutat în două directoare implicite: mai întâi, în directorul de lucru curent („.”) și apoi în /etc/sane.d. Dacă valoarea variabilei de mediu se termină cu caracterul separator de directoare, atunci directoarele implicite sunt căutate după directoarele specificate explicit. De exemplu, dacă se definește SANE_CONFIG_DIR la „/tmp/config:”, se vor căuta (în această ordine) directoarele tmp/config, . și /etc/sane.d.

SANE_DEBUG_GENESYS
    Dacă biblioteca a fost compilată cu suportul de depanare activat, această variabilă de mediu controlează nivelul de depanare pentru acest controlorul. Nivelurile mai ridicate de depanare sporesc gradul de detaliere al ieșirii. Dacă nivelul de depanare este stabilit la 1 sau mai mare, devin disponibile unele opțiuni de depanare care sunt în mod normal ascunse. Manipulați-le cu atenție. Aceasta va afișa mesaje legate de funcțiile de bază ale genesys.

SANE_DEBUG_GENESYS_IMAGE
    Dacă biblioteca a fost compilată cu suportul de depanare activat, această variabilă de mediu permite înregistrarea datelor de imagine intermediare. Pentru a activa acest mod, stabiliți variabila de mediu la 1. Exemplu (ieșire completă și foarte detaliată pentru gl646):
    export SANE_DEBUG_GENESYS=255

MULȚUMIRI
Jack McGill pentru donarea mai multor scanere cu alimentare cu foi și scanere plate, ceea ce a făcut posibilă adăugarea suportului pentru acestea în controlorul genesys:
    Hewlett-Packard HP3670
    Visioneer Strobe XP100 (rev3)/XP200/XP300/Roadwarrior
    Canon LiDE 200
    Pentax DSmobile 600
    Syscan/Ambir DocketPORT 467/485/487/665/685
    Xerox Travel Scanner 100, Onetouch 2400

cncsolutions a sponsorizat și a sprijinit activitatea pe Panasonic KV-SS080.

Brian Paavo de la Benthic Science Limited pentru donarea unui Canoscan LiDE 700F.

Dany Qumsiyeh pentru donarea unui Canoscan LiDE 210 și a unui LiDE 220.

Luc Verhaegen pentru donarea unui Canoscan LiDE 120.

CONSULTAȚI ȘI
sane(7), sane-usb(5)

AUTOR
Oliver Rauch
Henning Meier-Geinitz <henning@meier-geinitz.de>
Gerhard Jaeger <gerhard@gjaeger.de>
Stéphane Voltz <stef.dev@free.fr>
Philipp Schmid <philipp8288@web.de>
Pierre Willenbrock <pierre@pirsoft.dnsalias.org>
Alexey Osipov <simba@lerlan.ru> for HP2400 final support

LIMITĂRI
Economisirea energiei nu este implementată pentru scanerele bazate pe gl646. Dinamica (emulată din date gri și cu dithering) nu este activată pentru scanerele gl646. Scanarea lineart hardware este limitată la 600 dpi pentru scanerele bazate pe gl847, din cauza modului în care sunt construiți senzorii de imagine.

Acest controlor va fi mult mai lent dacă nu utilizează libusb-1.0. Deci, asigurați-vă că „sane-backends” este construit cu opțiunea --enable-libusb_1_0.

ERORI
Pentru LiDE 200, datele scanate la 4800 dpi sunt obținute „ca atare” de la senzor. Se pare că controlorul Windows efectuează o procesare digitală pentru a le îmbunătăți, care nu este implementată în acest controlor.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.